Bug 189292 - anaconda docs incorrecting/misleasing regarding kssendmac option
anaconda docs incorrecting/misleasing regarding kssendmac option
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: Installation_Guide (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joshua Wulf
Michael Hideo
: Documentation
Depends On:
  Show dependency treegraph
Reported: 2006-04-18 16:41 EDT by James Martin
Modified: 2014-10-19 18:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 14:45:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Martin 2006-04-18 16:41:50 EDT
Description of problem:

The documentation regarding the "kssendmac" option is vague and incorrect.  You
can find it documented here :usr/share/doc/anaconda-

Version-Release number of selected component (if applicable):

The documentation states:

kssendmac       Adds HTTP headers to ks=http:// request that can be helpful
                for provisioning systems.  Includes MAC address of all nics in
                a CGI environment variable of the form
                all nics.

First off, it would make more sense if we called HTTP_X_RHN_PROVISIONING_0 (et
all) headers, because that's what they are. Keeping that in mind, you would
think that if you had one Nic on your machine, and used the kssendmac option,
you would receive a header such as this:


Which is not correct.  Upon trying to use this and it not working for me (and
with some great help from the folks in #fedora-devel) I decided to sniff the
traffic between the kickstarting machine and the buildserver..  The kickstarting
machine sent over the following GET request to the buildserver:

'GET /./ks.cgi HTTP/1.0..Host: eth0

I've dumped that directly from ethereal.

This tells me that the actual header that's being sent is:

'X-RHN-Provisioning-MAC-2: eth0 00:02:A5:42:2F:F7'

So what's wrong with the doc?  A few things:

1. The header does not have a prepended HTTP_ (as stated in the doc)
2. The header has dashes and not underscores (as stated in the doc, and the
construction of that header can be verified here:
3. The header name ends with a 2 for reason's uknown-- it's the only NIC in the
machine, it should be a 0.
4. The header value contains the device name for the NIC (not stated in the docs)

How should the doc be fixed?

It needs to be more explicit..  Give a direct example of what the header would
look like.  Explaining how the ordering of the header names is done, because it
doesn't seem to have anything to do with the order of nics. Also, make all the
above corrections as noted.

Also, it would be helpful if the command-line.txt options made it into the RHEL
official docs.
Comment 1 Chris Lumens 2007-02-23 14:01:53 EST
I've updated the documentation on anaconda CVS head, which doesn't really do
much for RHEL3 or 4 but it's a start.  I'm also reassigning this bug to the docs
people to take care of your request for command-line.txt.

Docs team - could you please pull in docs/command-line.txt from the anaconda
package in future versions of the installation guide?  This file describes all
the various boot parameters that you can pass to anaconda and I don't know that
they are concisely documented anywhere in our install guide, though anaconda
does list them all.  Unfortunately you need anaconda installed before you can
read these docs to see what you can do with anaconda.  Thanks.
Comment 2 RHEL Product and Program Management 2007-10-19 14:45:14 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.